DPKG-QUERY(8)

NOM
dpkg-query - Un outil pour interroger la base de données de dpkg

SYNOPSIS
dpkg-query

DESCRIPTION
dpkg-query est un outil pour afficher des informations sur les paquets connus par la base de données de dpkg.

COMMANDES

-l | --list nom-paquet-motif ...
    Liste les paquets correspondants au motif donné. Quand on ne donne aucun nom-paquet-motif, tous les paquets listés dans /var/lib/dpkg/status sont affichés. Les métacaractères ordinaires de l'interpréteur de commandes sont autorisés dans nom-paquet-motif. Il faudra sans doute mettre nom-paquet-motif entre apostrophes pour éviter l'expansion des noms de fichier par l'interpréteur de commandes. Par exemple, tous les paquets dont le nom commence par « libc5 » seront affichés par la commande :
      dpkg-query -l 'libc5*'

-W | --show nom-paquet-motif...
    Tout comme l'option --list, elle affiche la liste des paquets qui correspondent au motif donné. La sortie peut cependant être formatée en utilisant l'option --showformat.

-s | --status nom-paquet ...
    Donne l'état du paquet indiqué. C'est simplement l'affichage de l'entrée de la base de données concernant les états des paquets installés.

-L | --listfiles paquet ...
    Affiche la liste des fichiers de paquet installés sur le système. Il faut remarquer cependant que les fichiers créés par les scripts d'installation particuliers au paquet ne sont pas affichés.

-S | --search motif-de-recherche ...
    Recherche un nom de fichier dans les paquets installés. On peut utiliser dans le motif tous les métacaractères de l'interpréteur de commandes. Cette commande ne donne pas les fichiers supplémentaires créés par les scripts du responsable de paquet, ni les alternatives.

-p |--print-avail paquet
    Affiche des renseignements détaillés sur paquet, tels qu'ils sont trouvés dans le fichier /var/lib/dpkg/available.

--licence | --license
    Affiche des renseignements sur la licence et le copyright.

--version
    Affiche des renseignements sur la version.

OPTIONS

--admindir=dir
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /var/lib/dpkg.

--showformat=format
    On se sert de cette option pour préciser le format de la sortie que produit la commande --show. Ce format est une chaîne, produite pour chaque paquet, qui peut contenir les séquences d'échappement classiques comme \n (nouvelle ligne), \r (retour chariot) ou \\ (simple barre oblique). On peut inclure des informations concernant un paquet (variables référençant des champs) en se servant de la syntaxe ${var[;largeur]}. Les champs sont alignés sur la droite, sauf si largeur est négatif, auquel cas ils sont alignés sur la gauche.

ENVIRONNEMENT

COLUMNS
    Fixer le nombre de colonnes influence la sortie de l'option --list en modifiant la largeur d'affichage.

AUTEUR
Copyright 2001 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

C'est un logiciel libre ; voyez la licence publique générale du projet GNU version 2 ou supérieure pour les droits de copie. Il n'y a PAS de garantie.

Voir aussi
dpkg(8)

TRADUCTION
Philippe Batailler, 2005. Veuillez signaler toute erreur à <debian-l10-french@lists.debian.org>.